// LICENSE : MIT
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tagNameToType = exports.nodeTypes = void 0;
var tagNameToType = {
  "p": "Paragraph",
  "ul": "List",
  "ol": "List",
  "li": "ListItem",
  "q": "BlockQuote",
  "blockquote": "BlockQuote",
  "code": "CodeBlock",
  "hr": "horizontalRule",
  "br": "break",
  "em": "Emphasis",
  "strong": "Strong",
  "a": "Link",
  "img": "Image"
};
exports.tagNameToType = tagNameToType;
var nodeTypes = {
  "root": "Document",
  "paragraph": "Paragraph",
  "blockquote": "BlockQuote",
  "listItem": "ListItem",
  "list": "List",
  "Bullet": "Bullet",
  // no need?
  "heading": "Header",
  "code": "CodeBlock",
  "comment": "Comment",
  "HtmlBlock": "Html",
  "ReferenceDef": "ReferenceDef",
  "horizontalRule": "HorizontalRule",
  // inline block
  'text': 'Str',
  'break': 'Break',
  'emphasis': 'Emphasis',
  'strong': 'Strong',
  'html': 'Html',
  'link': 'Link',
  'image': 'Image',
  'inlineCode': 'Code',
  'yaml': 'Yaml'
};
exports.nodeTypes = nodeTypes;
//# sourceMappingURL=mapping.js.map